Installing the Nvidia 396.54.09 Vulkan driver

Screen resolution, 3D Acceleration, nVidia, ATI
Forum rules
Before you post please read this
Post Reply
parotta36
Level 1
Level 1
Posts: 9
Joined: Fri Mar 24, 2017 3:11 pm

Installing the Nvidia 396.54.09 Vulkan driver

Post by parotta36 » Fri Oct 19, 2018 7:22 am

want to install the new DXVK 0.90 andthe recommended driver is the Nvidia 396.54.09. I just need guidance on installing it.

I found an NVIDIA-Linux-x86_64-396.54.09...run file from here. But I'm just skeptic if it would break the system. This driver does support my card. But I've previously tried running a Nvidia **.run** file which broke my system.

When I tried running the .run file, it stopped saying to quit X and then try, and directed to a manual. The manual seems pretty terse. But I'm just not sure that it will not break my system even if I follow it.

~~ I'd just like to confirm if that's the usual way devs install *nvidia-dev* packages. ~~

Also, I've found there has also been an Ubuntu ppa. I added the repository and updated, but I can't still seem to install it.

Code: Select all

sudo apt install nvidia-driver-396 
gives,

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:


The following packages have unmet dependencies:
 nvidia-driver-396 : Depends: libnvidia-gl-396 (= 396.54.09-0ubuntu0~gpu18.04.1) but it is not going to be installed
                 Depends: libnvidia-decode-396 (= 396.54.09-0ubuntu0~gpu18.04.1) but it is not going to be installed
                 Depends: libnvidia-encode-396 (= 396.54.09-0ubuntu0~gpu18.04.1) but it is not going to be installed
                 Depends: libnvidia-ifr1-396 (= 396.54.09-0ubuntu0~gpu18.04.1) but it is not going to be installed
                 Depends: libnvidia-fbc1-396 (= 396.54.09-0ubuntu0~gpu18.04.1) but it is not going to be installed
I'd want to install it somehow right now.

And if possible, would like to know if devs test these using the .run file and run it as stated nvidia's README.

Thanks.

User avatar
roblm
Level 9
Level 9
Posts: 2761
Joined: Sun Feb 24, 2013 2:41 pm

Re: Installing the Nvidia 396.54.09 Vulkan driver

Post by roblm » Fri Oct 19, 2018 2:07 pm

1. You need to post some general info on your system. Use this command: inxi -Fxz

2. Did you previously install another Nvidia driver using Driver Manager or apt commandline, such as the nvidia-driver-390?

3. Was it removed? If yes, how did you do it?

4. Does the Nvidia 396.54.09 Beta driver support some Vulkan feature you need that is not provided by the 396.54 general release driver?

You should be able to install either the Nvidia 396.54.09 Beta driver from Nvidia’s website or the nvidia-driver-396 in Driver Manager. I tested installing both without problems.

Post Reply

Return to “Graphics Cards & Monitors”